import request from '@/utils/request'
import useUserStore from '@/store/modules/user'
const userStore = useUserStore()
let devCode = getDevCode()
let userCode = userStore.userCode

let checkQuery = {
    devCode,
    userCode
}

function getDevCode() {
  return localStorage.getItem('devStorage')?JSON.parse(localStorage.getItem('devStorage')).devCode:""

}


// 查询设备列表
export function getAll() {
  return request({
    url: '/pms/device/all',
    method: 'get',
  })
}

// 查询设备列表
export function getdeviceInfo() {
  let deviceCode = getDevCode()
  devCode = deviceCode
  return request({
    url: '/pms/statement/getdeviceInfo/'+devCode,
    method: 'get',
    // params: Object.assign({}, checkQuery, query)
  })
}


// 查询设备列表
export function getrepairInfoa(query) {
  return request({
    url: '/pms/statement/getrepairInfoa',
    method: 'get',
    params: Object.assign({}, checkQuery, query)
  })
}

// 查询保养
export function getmaintenInfoa(query) {
  return request({
    url: '/pms/statement/getmaintenInfoa',
    method: 'get',
    params: Object.assign({}, checkQuery, query)
  })
}

// 查询点检
export function getcheckInfoa(query) {
  return request({
    url: '/pms/statement/getcheckInfoa',
    method: 'get',
    params: Object.assign({}, checkQuery, query)
  })
}