import request from '@/utils/request'
import useUserStore from '@/store/modules/user'
const userStore = useUserStore()
let devCode = JSON.parse(localStorage.getItem('devStorage')).devCode
let userCode = userStore.userCode
let query = {
  devCode,
  userCode
}
// 
export function getWorkStationBaseDeviceInfo() {
  return request({
    url: '/pms/output/getWorkStationBaseDeviceInfo',
    method: 'get',
    params:query
  })
}
// 
export function getCurrentOutputInfo() {
  return request({
    url: '/pms/output/getCurrentOutputInfo',
    method: 'get',
    params:query
  })
}
// 
export function halfHourOutputTotal() {
  return request({
    url: '/pms/output/halfHourOutputTotal',
    method: 'get',
    params:query
  })
}
// 
export function getCurrentAcceptInfo() {
  return request({
    url: '/pms/output/getCurrentAcceptInfo',
    method: 'get',
    params:query
  })
}
